Board index Bitcoin Qt Bitcoin Trader API key and secret error

API key and secret error

Qt Bitcoin Trader is open source application that helps you open and cancel BTC-e, Bitstamp, BTCChina, Bitfinex, orders very fast. Real time data monitoring.

Post 2014-04-29 11:39:50

Posts: 3
Hello. Thanks for a fantastic tool. Some rough edges here and there but otherwise most useful.

For quite some time now I keep receiving the following error every few minutes:


The text of the error reads:

Identification required to access private API.
Please enter valid API key and secret.
Please try to enable "Trade" and "Info" rights for this API pair.
If it didn't help, please generate new API keys and re-create a new profile.

401 Unauthorized - tonce timestamp is not within allowed request window. client=1398764807000000 server=1398765762288232 diff=-955.288232 seconds

I am using version 1.07.98b on BTC China. I have recreated my API keys but the error continuously pops up, even though the connection appears to still be working. Trades still keep appearing in the Last Trades windows, and the order book keeps updating, but this message continuously re-appears every few minutes.

Is there any way that this message can be suppressed?

Post 2014-04-29 13:37:46

Posts: 11
Location: Ukraine

Thank you. I'll work to fix this bug and you will receive fix in upcoming update.

Return to Qt Bitcoin Trader